using Core.Calculation;
using Tests.Parsers;

namespace Tests.Calculation;
[TestFixture]
public class DataProcessingTests
{

	[Test]
	public void GetEventStudentPicksTest()
	{
		var events = TestEntityHandler.GetCompetitiveEvents();
		var students = TestEntityHandler.GetStudents(events);

		var eventStudentPicksArray = DataProcessing.GetEventStudentPicks(events, students);
		foreach (var eventPicks in eventStudentPicksArray)
		{
			Console.WriteLine(eventPicks.Event.Name);
			Console.WriteLine(string.Join(", ", eventPicks.StudentPicks.Select(s => $"{s.Item2}: {s.Item1.Name}")));
		}
	}
}